Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata
Interface SubmissionSetType

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  SubmissionSetTypeImpl

    public interface SubmissionSetType

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Submission Set Type'. This represents the Submission Set metadata and associated content (document entries and folders).

See Also:
  IHE Technical Framework

  The following features are supported:

  - {@link org.eclipse.ohf.ihe.xds.metadata.SubmissionSetType#getAssociatedDocuments Associated Documents}
  - {@link org.eclipse.ohf.ihe.xds.metadata.SubmissionSetType#getAssociatedFolders Associated Folders}
  - {@link org.eclipse.ohf.ihe.xds.metadata.SubmissionSetType#getAuthor Author}
  - {@link org.eclipse.ohf.ihe.xds.metadata.SubmissionSetType#getAvailabilityStatus Availability Status}
  - {@link org.eclipse.ohf.ihe.xds.metadata.SubmissionSetType#getComments Comments}
  - {@link org.eclipse.ohf.ihe.xds.metadata.SubmissionSetType#getContentTypeCode Content Type Code}
  - {@link org.eclipse.ohf.ihe.xds.metadata.SubmissionSetType#getEntryUUID Entry UUID}
  - {@link org.eclipse.ohf.ihe.xds.metadata.SubmissionSetType#getPatientId Patient Id}
  - {@link org.eclipse.ohf.ihe.xds.metadata.SubmissionSetType#getSourceId Source Id}
  - {@link org.eclipse.ohf.ihe.xds.metadata.SubmissionSetType#getSubmissionTime Submission Time}
  - {@link org.eclipse.ohf.ihe.xds.metadata.SubmissionSetType#getTitle Title}
  - {@link org.eclipse.ohf.ihe.xds.metadata.SubmissionSetType#getUniqueId Unique Id}
  , `MetadataPackage.getSubmissionSetType()`

Method Summary
`org.eclipse.emf.common.util.EList` | `getAssociatedDocuments()` Returns the value of the 'Associated Documents' attribute list.
`org.eclipse.emf.common.util.EList` | `getAssociatedFolders()` Returns the value of the 'Associated Folders' attribute list.
`org.eclipse.emf.common.util.EList` | `getAuthor()` Returns the value of the 'Author' containment reference list.
`AvailabilityStatusType` | `getAvailabilityStatus()` Returns the value of the 'Availability Status' attribute.
`InternationalStringType` | `getComments()` Returns the value of the 'Comments' containment reference.
`CodedMetadataType` | `getContentTypeCode()` Returns the value of the 'Content Type Code' containment reference.
`java.lang.String` | `getEntryUUID()` Returns the value of the 'Entry UUID' attribute.
`CX` | `getPatientId()` Returns the value of the 'Patient Id' containment reference.
`java.lang.String` | `getSourceId()` Returns the value of the 'Source Id' attribute.
`java.lang.String` | `getSubmissionTime()` Returns the value of the 'Submission Time' attribute.
`InternationalStringType` | `getTitle()` Returns the value of the 'Title' containment reference.
`java.lang.String` | `getUniqueId()` Returns the value of the 'Unique Id' attribute.
`boolean` | `isSetAvailabilityStatus()` Returns whether the value of the '`Availability Status`' attribute is set.
`void` | `setAvailabilityStatus(AvailabilityStatusType value)` Sets the value of the '`Availability Status`' attribute.
`void` | `setComments(InternationalStringType value)` Sets the value of the '`Comments`' containment reference.
`void` | `setContentTypeCode(CodedMetadataType value)` Sets the value of the '`Content Type Code`' containment reference.
`void` | `setEntryUUID(java.lang.String value)` Sets the value of the '`Entry UUID`' attribute.
`void` | `setPatientId(CX value)` Sets the value of the '`Patient Id`' containment reference.
`void` | `setSourceId(java.lang.String value)` Sets the value of the '`Source Id`' attribute.
`void` | `setSubmissionTime(java.lang.String value)` Sets the value of the '`Submission Time`' attribute.
`void` | `setTitle(InternationalStringType value)` Sets the value of the '`Title`' containment reference.
`void` | `setUniqueId(java.lang.String value)` Sets the value of the '`Unique Id`' attribute.
`void` | `unsetAvailabilityStatus()` Unsets the value of the '`Availability Status`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getAssociatedDocuments

    org.eclipse.emf.common.util.EList getAssociatedDocuments()

  Returns the value of the 'Associated Documents' attribute list. The list contents are of type `String`.

  Gets the list of document entries (indicated by their entryUUID) that belong to this submission set.

  Returns:
    the value of the 'Associated Documents' attribute list.
  See Also:
    `MetadataPackage.getSubmissionSetType_AssociatedDocuments()`

### getAssociatedFolders

    org.eclipse.emf.common.util.EList getAssociatedFolders()

  Returns the value of the 'Associated Folders' attribute list. The list contents are of type `String`.

  Gets the list of folders (indicated by their entryUUID) that belong to this submission set.

  Returns:
    the value of the 'Associated Folders' attribute list.
  See Also:
    `MetadataPackage.getSubmissionSetType_AssociatedFolders()`

### getAuthor

    org.eclipse.emf.common.util.EList getAuthor()

  Returns the value of the 'Author' containment reference list. The list contents are of type `AuthorType`.

  Gets the list of the author person(s) of the submission set.

  Returns:
    the value of the 'Author' containment reference list.
  See Also:
    `MetadataPackage.getSubmissionSetType_Author()`

### getAvailabilityStatus

    AvailabilityStatusType getAvailabilityStatus()

  Returns the value of the 'Availability Status' attribute. The default value is `"Submitted"`. The literals are from the enumeration `AvailabilityStatusType`.

  Returns:
    the value of the 'Availability Status' attribute.
  See Also:
    `AvailabilityStatusType`, `isSetAvailabilityStatus()`, `unsetAvailabilityStatus()`, `setAvailabilityStatus(AvailabilityStatusType)`, `MetadataPackage.getSubmissionSetType_AvailabilityStatus()`

### setAvailabilityStatus

    void setAvailabilityStatus(AvailabilityStatusType value)

  Sets the value of the '`Availability Status`' attribute.

  Parameters:
    `value` - the new value of the 'Availability Status' attribute.
  See Also:
    `AvailabilityStatusType`, `isSetAvailabilityStatus()`, `unsetAvailabilityStatus()`, `getAvailabilityStatus()`

### unsetAvailabilityStatus

    void unsetAvailabilityStatus()

  Unsets the value of the '`Availability Status`' attribute.

  See Also:
    `isSetAvailabilityStatus()`, `getAvailabilityStatus()`, `setAvailabilityStatus(AvailabilityStatusType)`

### isSetAvailabilityStatus

    boolean isSetAvailabilityStatus()

  Returns whether the value of the '`Availability Status`' attribute is set.

  Returns:
    whether the value of the 'Availability Status' attribute is set.
  See Also:
    `unsetAvailabilityStatus()`, `getAvailabilityStatus()`, `setAvailabilityStatus(AvailabilityStatusType)`

### getComments

    InternationalStringType getComments()

  Returns the value of the 'Comments' containment reference.

  Gets the comments related to this submission set.

  Returns:
    the value of the 'Comments' containment reference.
  See Also:
    `setComments(InternationalStringType)`, `MetadataPackage.getSubmissionSetType_Comments()`

### setComments

    void setComments(InternationalStringType value)

  Sets the value of the '`Comments`' containment reference.

  Parameters:
    `value` - the new value of the 'Comments' containment reference.
  See Also:
    `getComments()`

### getContentTypeCode

    CodedMetadataType getContentTypeCode()

  Returns the value of the 'Content Type Code' containment reference.

  Gets the contentTypeCode for the submission set. This is a single code, ideally chosen from a restricted terminology, that somehow represents the entire submission set (documents, folders and all). describes

  Returns:
    the value of the 'Content Type Code' containment reference.
  See Also:
    `setContentTypeCode(CodedMetadataType)`, `MetadataPackage.getSubmissionSetType_ContentTypeCode()`

### setContentTypeCode

    void setContentTypeCode(CodedMetadataType value)

  Sets the value of the '`Content Type Code`' containment reference.

  Parameters:
    `value` - the new value of the 'Content Type Code' containment reference.
  See Also:
    `getContentTypeCode()`

### getEntryUUID

    java.lang.String getEntryUUID()

  Returns the value of the 'Entry UUID' attribute.

  Gets the entryUUID of the submission set. The entryUUID is an internal id used to link the submission set with its related contents (documents and folders).

  Returns:
    the value of the 'Entry UUID' attribute.
  See Also:
    `setEntryUUID(String)`, `MetadataPackage.getSubmissionSetType_EntryUUID()`

### setEntryUUID

    void setEntryUUID(java.lang.String value)

  Sets the value of the '`Entry UUID`' attribute.

  Parameters:
    `value` - the new value of the 'Entry UUID' attribute.
  See Also:
    `getEntryUUID()`

### getPatientId

    CX getPatientId()

  Returns the value of the 'Patient Id' containment reference.

  Gets the shared level (global) id of the patient the submission set is about.

  Returns:
    the value of the 'Patient Id' containment reference.
  See Also:
    `setPatientId(CX)`, `MetadataPackage.getSubmissionSetType_PatientId()`

### setPatientId

    void setPatientId(CX value)

  Sets the value of the '`Patient Id`' containment reference.

  Parameters:
    `value` - the new value of the 'Patient Id' containment reference.
  See Also:
    `getPatientId()`

### getSourceId

    java.lang.String getSourceId()

  Returns the value of the 'Source Id' attribute.

  Gets the id of the application (or source) that produced this submission set. Must be an OID.

  Returns:
    the value of the 'Source Id' attribute.
  See Also:
    `setSourceId(String)`, `MetadataPackage.getSubmissionSetType_SourceId()`

### setSourceId

    void setSourceId(java.lang.String value)

  Sets the value of the '`Source Id`' attribute.

  Parameters:
    `value` - the new value of the 'Source Id' attribute.
  See Also:
    `getSourceId()`

### getSubmissionTime

    java.lang.String getSubmissionTime()

  Returns the value of the 'Submission Time' attribute.

  Gets the time at which the submission set was submitted. This time is to be in UTC, but without the timezone offset or fractional seconds: [[[[[YYYY]MM]DD]HH]mm]ss]. Thus, this time is assumed to be in GMT.

  Returns:
    the value of the 'Submission Time' attribute.
  See Also:
    `setSubmissionTime(String)`, `MetadataPackage.getSubmissionSetType_SubmissionTime()`

### setSubmissionTime

    void setSubmissionTime(java.lang.String value)

  Sets the value of the '`Submission Time`' attribute.

  Parameters:
    `value` - the new value of the 'Submission Time' attribute.
  See Also:
    `getSubmissionTime()`

### getTitle

    InternationalStringType getTitle()

  Returns the value of the 'Title' containment reference.

  Gets the title of the submission set.

  Returns:
    the value of the 'Title' containment reference.
  See Also:
    `setTitle(InternationalStringType)`, `MetadataPackage.getSubmissionSetType_Title()`

### setTitle

    void setTitle(InternationalStringType value)

  Sets the value of the '`Title`' containment reference.

  Parameters:
    `value` - the new value of the 'Title' containment reference.
  See Also:
    `getTitle()`

### getUniqueId

    java.lang.String getUniqueId()

  Returns the value of the 'Unique Id' attribute.

  Gets the Unique Id (universally unique) for the submission set.

  Returns:
    the value of the 'Unique Id' attribute.
  See Also:
    `setUniqueId(String)`, `MetadataPackage.getSubmissionSetType_UniqueId()`

### setUniqueId

    void setUniqueId(java.lang.String value)

  Sets the value of the '`Unique Id`' attribute.

  Parameters:
    `value` - the new value of the 'Unique Id' attribute.
  See Also:
    `getUniqueId()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD